<template>
  <div class="custom-panel-div">

    <v-col>
      <v-row>
        <h1 style="font-size: 18px;letter-spacing: -0.025em;color: #00468A;">
          Reasuror İşlemleri
        </h1>
      </v-row>
      <v-row>
        <h2 style="font-size: 14px;color: #5A5A5A;">Reasuror >
          Filtreleme - Listeleme - Ekleme</h2>
      </v-row>
    </v-col>

    <v-expansion-panels v-model="panel" :disabled="disabled" multiple>
      <custom-expansion-panel :items="items" />
    </v-expansion-panels>

    <div v-show="false">
      <ReasurorFilter />
      <ReasurorAdd />
      <ReasurorList />
    </div>
  </div>
</template>

<script>
import { ref } from 'vue';
import CustomExpansionPanel from '@/components/custom-controller/CustomExpansionPanel.vue';
import ReasurorAdd from './components/ReasurorAdd.vue'
import ReasurorFilter from './components/ReasurorFilter.vue'
import ReasurorList from './components/ReasurorList.vue'

export default {
  components: {
    CustomExpansionPanel,
    ReasurorAdd,
    ReasurorFilter,
    ReasurorList
  },
  setup() {
    const panel = ref([0, 1]);
    const disabled = ref(false);
    const items = ref([
      {
        title: "Reasürör  Filtrele",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: ReasurorFilter,
      },
      {
        title: "Reasürör  Listele",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: ReasurorList,
      },
      {
        title: "Reasürör  Ekle",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: ReasurorAdd,
      },
    ]);

    return {
      panel,
      disabled,
      items
    };
  },
};
</script>

<style scoped>
</style>
